Bug 802746 - VUL-0: CVE-2013-0166: openssl: OCSP invalid key DoS issue
VUL-0: CVE-2013-0166: openssl: OCSP invalid key DoS issue
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
maint:released:sle10-sp3:51844 maint:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-08 08:03 UTC by Shawn Chang
Modified: 2013-08-28 08:50 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shawn Chang 2013-02-08 08:03:24 UTC
A flaw in the OpenSSL handling of OCSP response verification can be exploitedin a denial of service attack.

All versions of OpenSSL are affected including 1.0.1c, 1.0.0j and 0.9.8x

This flaw was discovered and fixed by Stephen Henson of the OpenSSL core team.

Affected users should upgrade to OpenSSL 1.0.1d, 1.0.0k or 0.9.8y.

http://www.openssl.org/news/secadv_20130205.txt
Comment 6 Swamp Workflow Management 2013-02-08 23:00:14 UTC
bugbot adjusting priority
Comment 7 Swamp Workflow Management 2013-02-11 16:05:27 UTC
The SWAMPID for this issue is 51146.
This issue was rated as moderate.
Please submit fixed packages until 2013-02-25.
When done, please reassign the bug to security-team@suse.de.
Patchinfo will be handled by security team.
Comment 8 Bernhard Wiedemann 2013-02-16 10:00:28 UTC
This is an autogenerated message for OBS integration:
This bug (802746) was mentioned in
https://build.opensuse.org/request/show/155587 Maintenance / 
https://build.opensuse.org/request/show/155588 Maintenance /
Comment 9 Bernhard Wiedemann 2013-02-22 11:00:21 UTC
This is an autogenerated message for OBS integration:
This bug (802746) was mentioned in
https://build.opensuse.org/request/show/156084 Evergreen:11.2 / openssl
Comment 10 Swamp Workflow Management 2013-02-25 10:05:12 UTC
openSUSE-SU-2013:0336-1: An update that fixes 12 vulnerabilities is now available.

Category: security (moderate)
Bug References: 757773,802648,802746
CVE References: CVE-2011-4108,CVE-2011-4576,CVE-2011-4577,CVE-2011-4619,CVE-2012-0027,CVE-2012-0050,CVE-2012-0884,CVE-2012-1165,CVE-2012-2110,CVE-2012-2686,CVE-2013-0166,CVE-2013-0169
Sources used:
openSUSE 12.1 (src):    openssl-1.0.0k-34.20.1
Comment 11 Swamp Workflow Management 2013-02-25 10:05:49 UTC
openSUSE-SU-2013:0337-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 757773,802184,802746,803004
CVE References: CVE-2012-2686,CVE-2013-0166,CVE-2013-0169
Sources used:
openSUSE 12.2 (src):    openssl-1.0.1e-2.8.1
Comment 12 Swamp Workflow Management 2013-02-25 11:05:22 UTC
openSUSE-SU-2013:0339-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 757773,802648,802746
CVE References: CVE-2012-2686,CVE-2013-0166,CVE-2013-0169
Sources used:
openSUSE 11.4 (src):    openssl-1.0.0k-18.45.1
Comment 13 Bernhard Wiedemann 2013-02-26 08:00:53 UTC
This is an autogenerated message for OBS integration:
This bug (802746) was mentioned in
https://build.opensuse.org/request/show/156390 Evergreen:11.2 / openssl
Comment 15 Marcus Meissner 2013-03-27 09:12:16 UTC
released
Comment 16 Swamp Workflow Management 2013-03-27 10:04:49 UTC
Update released for: openssl, openssl-32bit, openssl-debuginfo, openssl-devel, openssl-devel-32bit, openssl-doc
Products:
SLE-SERVER 10-SP3-TERADATA (x86_64)
Comment 17 Swamp Workflow Management 2013-03-27 11:04:57 UTC
Update released for: openssl, openssl-devel, openssl-doc
Products:
SUSE-CORE 9-SP3-TERADATA (x86_64)
Comment 18 Swamp Workflow Management 2013-03-27 12:09:50 UTC
Update released for: openssl, openssl-32bit, openssl-64bit, openssl-debuginfo, openssl-devel, openssl-devel-32bit, openssl-devel-64bit, openssl-doc, openssl-x86
Products:
SLE-DEBUGINFO 10-SP4 (i386, ia64, ppc, s390x, x86_64)
SLE-DESKTOP 10-SP4 (i386, x86_64)
SLE-SDK 10-SP4 (i386, ia64, ppc, s390x, x86_64)
SLE-SERVER 10-SP4 (i386, ia64, ppc, s390x, x86_64)
Comment 19 Swamp Workflow Management 2013-03-27 12:28:06 UTC
Update released for: libopenssl-devel, libopenssl0_9_8, libopenssl0_9_8-32bit, libopenssl0_9_8-hmac, libopenssl0_9_8-hmac-32bit, libopenssl0_9_8-hmac-x86, libopenssl0_9_8-x86, openssl, openssl-debuginfo, openssl-debugsource, openssl-doc
Products:
SLE-DEBUGINFO 11-SP2 (i386, ia64, ppc64, s390x, x86_64)
SLE-DESKTOP 11-SP2 (i386, x86_64)
SLE-SDK 11-SP2 (i386, ia64, ppc64, s390x, x86_64)
SLE-SERVER 11-SP2 (i386, ia64, ppc64, s390x, x86_64)
SLES4VMWARE 11-SP2 (i386, x86_64)
Comment 20 Swamp Workflow Management 2013-03-27 13:04:51 UTC
Update released for: libopenssl-devel, libopenssl0_9_8, libopenssl0_9_8-32bit, libopenssl0_9_8-hmac, libopenssl0_9_8-hmac-32bit, openssl, openssl-debuginfo, openssl-debugsource, openssl-doc
Products:
SLE-SERVER 11-SP1-TERADATA (x86_64)
Comment 21 Swamp Workflow Management 2013-04-15 15:53:41 UTC
Update released for: openssl, openssl-32bit, openssl-debuginfo, openssl-devel, openssl-devel-32bit, openssl-doc
Products:
SLE-DEBUGINFO 10-SP3 (i386, s390x, x86_64)
SLE-SERVER 10-SP3-LTSS (i386, s390x, x86_64)
Comment 22 Swamp Workflow Management 2013-04-22 15:57:21 UTC
Update released for: libopenssl-devel, libopenssl0_9_8, libopenssl0_9_8-32bit, libopenssl0_9_8-hmac, libopenssl0_9_8-hmac-32bit, openssl, openssl-debuginfo, openssl-debugsource, openssl-doc
Products:
SLE-DEBUGINFO 11-SP1 (i386, s390x, x86_64)
SLE-SERVER 11-SP1-LTSS (i386, s390x, x86_64)
SLES4VMWARE 11-SP1-LTSS (i386, x86_64)
Comment 23 Swamp Workflow Management 2013-08-28 08:50:46 UTC
Update released for: openssl, openssl-devel, openssl-doc
Products:
SUSE-CORE 9-LTSS (i386, s390, s390x, x86_64)